<?xml version="1.0" encoding="UTF-8"?>
<!--Licensed to the Apache Software Foundation (ASF) under one or more
  contributor license agreements.  See the NOTICE file distributed with
  this work for additional information regarding copyright ownership.
  The ASF licenses this file to You under the Apache License, Version 2.0
  (the "License"); you may not use this file except in compliance with
  the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.-->
<!--$Rev: 651002 $ $Date: 2008-04-24 02:51:26 +0800 (Thu, 24 Apr 2008) $-->
<module xmlns="http://geronimo.apache.org/xml/ns/deployment-1.2">
  <environment>
    <moduleId>
      <groupId>org.apache.geronimo.configs</groupId>
      <artifactId>jsr88-war-configurer</artifactId>
      <version>3.0.0</version>
      <type>car</type>
    </moduleId>
    <dependencies>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-web-2.5-builder</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-web</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-security</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-management</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-system</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-pax-logging</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.configadmin</artifactId>
        <version>1.2.4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-saaj_1.3_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-servlet_3.0_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaxrpc_1.1_spec</artifactId>
        <version>2.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-ejb_3.1_spec</artifactId>
        <version>1.0.2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-j2ee-management_1.1_spec</artifactId>
        <version>1.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jacc_1.4_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jta_1.1_spec</artifactId>
        <version>1.1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaspic_1.0_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.karaf.jaas</groupId>
        <artifactId>org.apache.karaf.jaas.boot</artifactId>
        <version>2.2.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.components</groupId>
        <artifactId>geronimo-jaspi</artifactId>
        <version>2.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-reflect</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-j2ee-schema</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-deployment</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xmlbeans</artifactId>
        <version>2.4.0_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-stax-api_1.2_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaxb_2.2_spec</artifactId>
        <version>1.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xmlresolver</artifactId>
        <version>1.2_2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-service-builder</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.ops4j.pax.logging</groupId>
        <artifactId>pax-logging-api</artifactId>
        <version>1.6.4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-j2ee</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-cli</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>commons-cli</groupId>
        <artifactId>commons-cli</artifactId>
        <version>1.2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-common</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-kernel</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-crypto</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.commons</groupId>
        <artifactId>commons-jexl</artifactId>
        <version>2.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>commons-lang</groupId>
        <artifactId>commons-lang</artifactId>
        <version>2.6</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>jaxb-impl</artifactId>
        <version>2.2.3-1_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-activation_1.1_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>woodstox-core-asl</artifactId>
        <version>4.1.2_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.codehaus.woodstox</groupId>
        <artifactId>stax2-api</artifactId>
        <version>3.1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.bundlerepository</artifactId>
        <version>1.6.6</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-naming</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.howl</artifactId>
        <version>1.0.1-1_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.components</groupId>
        <artifactId>geronimo-transaction</artifactId>
        <version>3.1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-j2ee-connector_1.6_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.javassist</artifactId>
        <version>3.12.0.ga_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-annotation_1.1_spec</artifactId>
        <version>1.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jcdi_1.0_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-interceptor_1.1_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-atinject_1.0_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-el_2.2_spec</artifactId>
        <version>1.0.3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-validation_1.0_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.openejb</groupId>
        <artifactId>openejb-jee</artifactId>
        <version>4.0.0-beta-1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-naming-builder</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-j2ee-builder</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-deploy-config</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-javaee-deployment_1.1MR3_spec</artifactId>
        <version>1.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jpa_2.0_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaxws_2.2_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-finder</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-osgi-registry</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>asm</groupId>
        <artifactId>asm-all</artifactId>
        <version>3.2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.cglib</artifactId>
        <version>2.1_3_4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xstream</artifactId>
        <version>1.3_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xpp3</artifactId>
        <version>1.1.4c_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-naming</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.modules</groupId>
        <artifactId>geronimo-security-builder</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-bundleutils</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
    </dependencies>
    <hidden-classes/>
    <non-overridable-classes/>
    <private-classes/>
  </environment>
  <gbean name="WARConfigurer" class="org.apache.geronimo.web.deployment.WARConfigurer"/>
</module>